/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for MuscularAnatomy
 */
public enum EnumCV_MuscularAnatomy 
{
	//CID 6116 Muscular Anatomy
	CHORDAE_TENDINEAE_CORDIS_T_35020("T-35020"),
	DELTOID_MUSCLE_T_13660("T-13660"),
	DIAPHRAGM_T_D3400("T-D3400"),
	ERECTOR_SPINAE_MUSCLE_T_14020("T-14020"),
	EXTERNAL_INTERCOSTAL_MUSCLE_T_1416B("T-1416B"),
	ILIOCOSTALIS_MUSCLE_T_14030("T-14030"),
	INFRASPINATUS_MUSCLE_T_13620("T-13620"),
	INNERMOST_INTERCOSTAL_MUSCLES_T_14165("T-14165"),
	INTERATRIAL_SEPTUM_T_32150("T-32150"),
	INTERNAL_INTERCOSTAL_MUSCLE_T_14183("T-14183"),
	INTERVENTRICULAR_SEPTUM_T_32410("T-32410"),
	LATISSIMUS_DORSI_MUSCLE_T_14172("T-14172"),
	LEVATORES_COSTARUM_MUSCLES_T_14150("T-14150"),
	LONGISSIMUS_MUSCLE_T_14040("T-14040"),
	PECTORALIS_MAJOR_MUSCLE_T_14110("T-14110"),
	PECTORALIS_MINOR_MUSCLE_T_14120("T-14120"),
	SCALENOUS_ANTERIOR_MUSCLE_T_13450("T-13450"),
	SERRATUS_ANTERIOR_MUSCLE_T_14140("T-14140"),
	SPINALIS_MUSCLE_T_14050("T-14050"),
	STERNOCLEIDOMASTOID_MUSCLE_T_13310("T-13310"),
	SUBCOSTAL_MUSCLE_T_14166("T-14166"),
	SUBSCAPULARIS_MUSCLE_T_13650("T-13650"),
	SUPRASPINATUS_MUSCLE_T_13610("T-13610"),
	TERES_MAJOR_MUSCLE_T_13640("T-13640"),
	TERES_MINOR_MUSCLE_T_13630("T-13630"),
	TRABECULAE_CARNAE_T_32423("T-32423"),
	TRANSVERSUS_THORACIS_T_141A5("T-141A5"),
	TRAPEZIUS_MUSCLE_T_14171("T-14171");

	private String value;
	
	EnumCV_MuscularAnatomy(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
